package service

import (
	"context"
	"go-server/internal/models"
	"go-server/internal/repository"
)

type NutrientService struct {
	repo *repository.NutrientRepository
}

func NewNutrientService(repo *repository.NutrientRepository) *NutrientService {
	return &NutrientService{repo: repo}
}

func (s *NutrientService) GetAll(ctx context.Context) ([]*models.Nutrient, error) {
	return s.repo.GetAll(ctx)
}
